Bug 125514

Summary: PrettyPatch.rb should be more descriptive for "git diff -M" styled patches
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, darin
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
PrettyPatch now shows renames
ossy: review-, ossy: commit-queue-
Added changelog none

Description Csaba Osztrogonác 2013-12-10 07:20:12 PST
here is an example:
https://bugs.webkit.org/attachment.cgi?id=218793
https://bugs.webkit.org/attachment.cgi?id=218793&action=review

----------------------------------------------------------------------------
diff --git a/Source/WebKit2/Shared/mac/CertificateInfo.mm b/Source/WebCore/platform/network/mac/CertificateInfoMac.mm
similarity index 75%
rename from Source/WebKit2/Shared/mac/CertificateInfo.mm
rename to Source/WebCore/platform/network/mac/CertificateInfoMac.mm
...
----------------------------------------------------------------------------

Source/WebKit2/Shared/mac/CertificateInfo.mm was moved to Source/WebCore/platform/network/mac/CertificateInfoMac.mm
and then some lines changed, but the pretty diff shows if you changed only Source/WebCore/platform/network/mac/CertificateInfoMac.mm.

In this case it would be better to show exactly the diff header:
rename from Source/WebKit2/Shared/mac/CertificateInfo.mm
rename to Source/WebCore/platform/network/mac/CertificateInfoMac.mm
Comment 1 Berta József 2014-02-24 10:51:00 PST
Created attachment 225074 [details]
PrettyPatch now shows renames
Comment 2 Csaba Osztrogonác 2014-02-24 12:57:09 PST
Comment on attachment 225074 [details]
PrettyPatch now shows renames

The patch looks good to me, but please add changelog entry.
Comment 3 Berta József 2014-02-25 01:17:06 PST
Created attachment 225128 [details]
Added changelog
Comment 4 WebKit Commit Bot 2014-02-25 04:39:15 PST
Comment on attachment 225128 [details]
Added changelog

Clearing flags on attachment: 225128

Committed r164642: <http://trac.webkit.org/changeset/164642>
Comment 5 WebKit Commit Bot 2014-02-25 04:39:17 PST
All reviewed patches have been landed.  Closing bug.